Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.atna.audit.codes
Class AuditEventTypeCode.Detach

    java.lang.Object
      org.eclipse.ohf.ihe.atna.audit.element.CodedValueType
          org.eclipse.ohf.ihe.atna.audit.codes.AuditEventTypeCode
              org.eclipse.ohf.ihe.atna.audit.codes.AuditEventTypeCode.Detach

Enclosing class:
  AuditEventTypeCode

    public static class AuditEventTypeCode.Detach

extends AuditEventTypeCode

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.ohf.ihe.atna.audit.codes.AuditEventTypeCode
`AuditEventTypeCode.ApplicationStart, AuditEventTypeCode.ApplicationStop, AuditEventTypeCode.Attach, AuditEventTypeCode.AuditRecordingStarted, AuditEventTypeCode.AuditRecordingStopped, AuditEventTypeCode.Detach, AuditEventTypeCode.EmergencyOverride, AuditEventTypeCode.HardwareConfiguration, AuditEventTypeCode.Login, AuditEventTypeCode.Logout, AuditEventTypeCode.NetworkConfiguration, AuditEventTypeCode.NodeAuthentication, AuditEventTypeCode.ObjectSecurityAttributesChanged, AuditEventTypeCode.SecurityConfiguration, AuditEventTypeCode.SecurityRolesChanged, AuditEventTypeCode.SoftwareConfiguration, AuditEventTypeCode.UseOfRestrictedFunction, AuditEventTypeCode.UserSecurityAttributesChanged`

Field Summary

Fields inherited from class org.eclipse.ohf.ihe.atna.audit.element.CodedValueType
`DB_Coded_Value_Type`

Constructor Summary
`AuditEventTypeCode.Detach()` "DCM","110125", "Detach"

Method Summary

Methods inherited from class org.eclipse.ohf.ihe.atna.audit.element.CodedValueType
`getCode, getCodeSystem, getCodeSystemName, getDisplayName, getOriginalText, isValidElement, parse, setCode, setCodeSystem, setCodeSystemName, setDisplayName, setOriginalText`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuditEventTypeCode.Detach

    public AuditEventTypeCode.Detach()

  "DCM","110125", "Detach"

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD